## Data Manager perspective

Data Manager perspective — Perspective to manipulate data contained in the database

## Stability Level

Stable, unless otherwise indicated

## Functions

#define | DATA_MANAGER_PERSPECTIVE()
#define | IS_DATA_MANAGER_PERSPECTIVE()
GType | data_manager_perspective_get_type ()
void | data_manager_perspective_new_tab ()

## Types and Values

struct | DataManagerPerspective

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBox
                        ╰── DataManagerPerspective

## Implemented Interfaces

DataManagerPerspective implements AtkImplementorIface, GtkBuildable, GtkOrientable and BrowserPerspective.

## Description

## Functions

### DATA_MANAGER_PERSPECTIVE()

    #define DATA_MANAGER_PERSPECTIVE(obj)          G_TYPE_CHECK_INSTANCE_CAST (obj, data_manager_perspective_get_type(), DataManagerPerspective)

### IS_DATA_MANAGER_PERSPECTIVE()

    #define IS_DATA_MANAGER_PERSPECTIVE(obj)       G_TYPE_CHECK_INSTANCE_TYPE (obj, data_manager_perspective_get_type ())

### data_manager_perspective_get_type ()

    GType
    data_manager_perspective_get_type (void);

### data_manager_perspective_new_tab ()

    void
    data_manager_perspective_new_tab (DataManagerPerspective *dmp,
                                      const gchar *xml_spec);

Make `dmp` create a new page (unless the current one is empty)

#### Parameters

dmp | a DataManagerPerspective perspective |
xml_spec | the XML specifications to use |

## Types and Values

### struct DataManagerPerspective

    struct DataManagerPerspective;